package org.gcube.portets.user.message_conversations.client.event;

import org.gcube.portets.user.message_conversations.shared.ConvMessage;

import com.google.gwt.event.shared.GwtEvent;



public class DeleteMessageEvent extends GwtEvent<DeleteMessageEventHandler> {
	public static Type<DeleteMessageEventHandler> TYPE = new Type<DeleteMessageEventHandler>();
	
	private ConvMessage m;
	private boolean sent;
	public DeleteMessageEvent(ConvMessage m, boolean sent) {
		this.m = m;
	}
		
	public ConvMessage getMessage() {
		return m;
	}
	
	public boolean isSent() {
		return sent;
	}

	@Override
	public Type<DeleteMessageEventHandler> getAssociatedType() {
		return TYPE;
	}

	@Override
	protected void dispatch(DeleteMessageEventHandler handler) {
		handler.onDeleteMessage(this);
	}
}
