package org.gcube.portets.user.message_conversations.client.event;

import java.util.HashSet;

import com.google.gwt.event.shared.GwtEvent;



public class NewMessageEvent extends GwtEvent<NewMessageEventHandler> {
	public static Type<NewMessageEventHandler> TYPE = new Type<NewMessageEventHandler>();
	
	
	private String text;
	private HashSet<String> mentionedUsers;
	
	public NewMessageEvent() {
		
		this.text = text;
		this.mentionedUsers = mentionedUsers;
	}
	
		
	public String getText() {
		return text;
	}
	
	public HashSet<String> getMentionedUsers() {
		return mentionedUsers;
	}

	@Override
	public Type<NewMessageEventHandler> getAssociatedType() {
		return TYPE;
	}

	@Override
	protected void dispatch(NewMessageEventHandler handler) {
		handler.onNewMessage(this);
	}
}
